Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class Duration

    java.lang.Object
      com.tibco.bpm.web.client.model.types.Duration

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class Duration

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

TODO Give a useful description of the type.

©2012 TIBCO Software Inc.

Since:
  TODO

Constructor Summary
`Duration()` TODO Describe this method

Method Summary
`int` | `getDay()` TODO Describe this method
`java.math.BigDecimal` | `getFraction()` TODO Describe this method
`int` | `getHour()` TODO Describe this method
`int` | `getMinute()` TODO Describe this method
`int` | `getMonth()` TODO Describe this method
`int` | `getSecond()` TODO Describe this method
`int` | `getSign()` TODO Describe this method
`int` | `getYear()` TODO Describe this method
`void` | `setDay(int day)` TODO Describe this method
`void` | `setFraction(java.math.BigDecimal fraction)` TODO Describe this method
`void` | `setHour(int hour)` TODO Describe this method
`void` | `setMinute(int minute)` TODO Describe this method
`void` | `setMonth(int month)` TODO Describe this method
`void` | `setSecond(int second)` TODO Describe this method
`void` | `setSign(int sign)` TODO Describe this method
`void` | `setYear(int year)` TODO Describe this method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Duration

    public Duration()

  TODO Describe this method

Method Detail

### getSign

    public int getSign()

  TODO Describe this method

  Returns:
    Returns the sign.

### setSign

    public void setSign(int sign)

  TODO Describe this method

  Parameters:
    `sign` - The sign to set.

### getYear

    public int getYear()

  TODO Describe this method

  Returns:
    Returns the year.

### setYear

    public void setYear(int year)

  TODO Describe this method

  Parameters:
    `year` - The year to set.

### getMonth

    public int getMonth()

  TODO Describe this method

  Returns:
    Returns the month.

### setMonth

    public void setMonth(int month)

  TODO Describe this method

  Parameters:
    `month` - The month to set.

### getDay

    public int getDay()

  TODO Describe this method

  Returns:
    Returns the day.

### setDay

    public void setDay(int day)

  TODO Describe this method

  Parameters:
    `day` - The day to set.

### getHour

    public int getHour()

  TODO Describe this method

  Returns:
    Returns the hour.

### setHour

    public void setHour(int hour)

  TODO Describe this method

  Parameters:
    `hour` - The hour to set.

### getMinute

    public int getMinute()

  TODO Describe this method

  Returns:
    Returns the minute.

### setMinute

    public void setMinute(int minute)

  TODO Describe this method

  Parameters:
    `minute` - The minute to set.

### getSecond

    public int getSecond()

  TODO Describe this method

  Returns:
    Returns the second.

### setSecond

    public void setSecond(int second)

  TODO Describe this method

  Parameters:
    `second` - The second to set.

### getFraction

    public java.math.BigDecimal getFraction()

  TODO Describe this method

  Returns:
    Returns the fraction.

### setFraction

    public void setFraction(java.math.BigDecimal fraction)

  TODO Describe this method

  Parameters:
    `fraction` - The fraction to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.